<?xml version="1.0"?>
<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd">
    <preference for="Elogic\Link\Api\Data\ErpNumberInterface" type="Elogic\Link\Model\ErpNumber" />
    <preference for="Elogic\Link\Api\ErpNumberRepositoryInterface" type="Elogic\Link\Model\ErpNumberRepository" />
    <type name="Magento\Sales\Api\OrderRepositoryInterface">
        <plugin name="save_erp_number" type="Elogic\Link\Plugin\OrderSave"/>
        <plugin name="get_erp_number" type="Elogic\Link\Plugin\OrderGet"/>
    </type>
</config>

